Attribute VB_Name = "GeneralModule"
Public Declare Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long
Public Declare Function WaitForSingleObject Lib "kernel32" (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long
Public Declare Function CloseHandle Lib "kernel32" (ByVal hObject As Long) As Long

Public Const SYNCHRONIZE = &H100000
Public Const INFINITE = &HFFFF
Public Const WAIT_OBJECT_0 = 0
Public Const WAIT_TIMEOUT = &H102

Global BeginTime        As String
Global SecondsPassed    As Integer

Public Sub SetCorrectTime(ByVal TimePassed As Integer)
Dim TimeInSeconds   As Double
Dim iHours          As Double
Dim iMinutes        As Double
Dim iSeconds        As Double
Dim CurrentTime     As String

'convert the time into seconds
TimeInSeconds = Left$(BeginTime, 2) * 3600 + Mid$(BeginTime, 4, 2) * 60 + Right$(BeginTime, 2)

'add the seconds passed
TimeInSeconds = TimeInSeconds + TimePassed

'extract hours / minutes / seconds
iHours = Int(TimeInSeconds / 3600)
iMinutes = Int((TimeInSeconds - (iHours * 3600)) / 60)
iSeconds = TimeInSeconds - iHours * 3600 - iMinutes * 60

'check if hours exceed 24
If iSeconds >= 60 Then
    iSeconds = iSeconds - 60
    iMinutes = iMinutes + 1
End If

If iMinutes >= 60 Then
    iMinutes = iMinutes - 60
    iHours = iHours + 1
End If

If iHours >= 24 Then iHours = iHours - 24

CurrentTime = iHours & ":" & iMinutes & ":" & iSeconds
Time$ = CurrentTime
End Sub
